import logging
import transaction

from plone import api

from sixfeetup.utils import helpers

logger = logging.getLogger('retrans.poi.upgrades')


def remove_reason_responsible_indexes(context):
    helpers.runMigrationProfile(
        'profile-retrans.poi:remove_reason_responsible_indexes')


def reindex_searchabletext(context):
    """reindex the objects to update
       the searchable text
    """
    issues = api.content.find(portal_type="Issue")
    for issue in issues:
        obj = issue.getObject()
        obj.reindexObject()
        transaction.commit()
